Tag Parser: TagParser::BitmapInfoHeader Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::BitmapInfoHeader Class Reference

The BitmapInfoHeader class parses the BITMAPINFOHEADER structure defined by MS. More...

`#include <bitmapinfoheader.h>`

## Public Member Functions
| BitmapInfoHeader ()
| Constructs a new BitmapInfoHeader.
void | parse (CppUtilities::BinaryReader &reader)
| Parses the BITMAPINFOHEADER structure using the specified reader.

## Public Attributes
std::uint32_t | size
std::uint32_t | width
std::uint32_t | height
std::uint16_t | planes
std::uint16_t | bitCount
std::uint32_t | compression
std::uint32_t | imageSize
std::uint32_t | horizontalResolution
std::uint32_t | verticalResolution
std::uint32_t | clrUsed
std::uint32_t | clrImportant

## Detailed Description

The BitmapInfoHeader class parses the BITMAPINFOHEADER structure defined by MS.

Definition at line 14 of file bitmapinfoheader.h.

## Constructor & Destructor Documentation

## ◆ BitmapInfoHeader()

TagParser::BitmapInfoHeader::BitmapInfoHeader | ( |  | ) |

Constructs a new BitmapInfoHeader.

Definition at line 17 of file bitmapinfoheader.cpp.

## Member Function Documentation

## ◆ parse()

void TagParser::BitmapInfoHeader::parse | ( | CppUtilities::BinaryReader & | reader | ) |

Parses the BITMAPINFOHEADER structure using the specified reader.

Remarks
  0x28 byte will be read from the associated stream.

Definition at line 36 of file bitmapinfoheader.cpp.

## Member Data Documentation

## ◆ bitCount

std::uint16_t TagParser::BitmapInfoHeader::bitCount

Definition at line 24 of file bitmapinfoheader.h.

## ◆ clrImportant

std::uint32_t TagParser::BitmapInfoHeader::clrImportant

Definition at line 30 of file bitmapinfoheader.h.

## ◆ clrUsed

std::uint32_t TagParser::BitmapInfoHeader::clrUsed

Definition at line 29 of file bitmapinfoheader.h.

## ◆ compression

std::uint32_t TagParser::BitmapInfoHeader::compression

Definition at line 25 of file bitmapinfoheader.h.

## ◆ height

std::uint32_t TagParser::BitmapInfoHeader::height

Definition at line 22 of file bitmapinfoheader.h.

## ◆ horizontalResolution

std::uint32_t TagParser::BitmapInfoHeader::horizontalResolution

Definition at line 27 of file bitmapinfoheader.h.

## ◆ imageSize

std::uint32_t TagParser::BitmapInfoHeader::imageSize

Definition at line 26 of file bitmapinfoheader.h.

## ◆ planes

std::uint16_t TagParser::BitmapInfoHeader::planes

Definition at line 23 of file bitmapinfoheader.h.

## ◆ size

std::uint32_t TagParser::BitmapInfoHeader::size

Definition at line 20 of file bitmapinfoheader.h.

## ◆ verticalResolution

std::uint32_t TagParser::BitmapInfoHeader::verticalResolution

Definition at line 28 of file bitmapinfoheader.h.

## ◆ width

std::uint32_t TagParser::BitmapInfoHeader::width

Definition at line 21 of file bitmapinfoheader.h.

The documentation for this class was generated from the following files:

- avi/bitmapinfoheader.h
- avi/bitmapinfoheader.cpp